---
lang: en
title: 'API docs: metadata.decoratorfactory.decorate'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/metadata
permalink: /doc/en/lb4/apidocs.metadata.decoratorfactory.decorate.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [DecoratorFactory](./metadata.decoratorfactory.md) &gt; [decorate](./metadata.decoratorfactory.decorate.md)

## DecoratorFactory.decorate() method

Base implementation of the decorator function

**Signature:**

```typescript
protected decorate(target: Object, member?: string | symbol, descriptorOrIndex?: TypedPropertyDescriptor<any> | number): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  target | Object | Decorator target |
|  member | string \| symbol | _(Optional)_ Optional property or method |
|  descriptorOrIndex | TypedPropertyDescriptor&lt;any&gt; \| number | _(Optional)_ Optional method descriptor or parameter index |

**Returns:**

void


